Bug 958924 - netinst mediacheck is performed twice
Summary: netinst mediacheck is performed twice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-02 16:44 UTC by John Reiser
Modified: 2013-05-18 04:54 UTC (History)
8 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-18 04:54:57 UTC


Attachments (Terms of Use)
serial console log minicom.cap (39.13 KB, text/plain)
2013-05-02 16:46 UTC, John Reiser
no flags Details

Description John Reiser 2013-05-02 16:44:28 UTC
Description of problem: Default boot of Fedora-19-Beta-TC2-netinst-i386.iso from CD/DVD runs the mediacheck twice, which takes too long and gives no useful result.


Version-Release number of selected component (if applicable):
Fedora-19-Beta-TC2-netinst-i386.iso  (for sure)
dracut-027-36.git20130418.fc19  (I think)

How reproducible: every time


Steps to Reproduce:
1. Boot Fedora-19-Beta-TC2-netinst-i386.iso from CD/DVD
2. accept default "Check this media, then install"
3.
  
Actual results: platter is checked twice


Expected results: platter is checked once


Additional info: will attach serial console log

Comment 1 John Reiser 2013-05-02 16:46:15 UTC
Created attachment 742807 [details]
serial console log minicom.cap

Comment 2 Harald Hoyer 2013-05-06 11:51:11 UTC
seems like anaconda is also doing a diskcheck. reassigning to ask for advice.

Comment 3 Brian Lane 2013-05-14 16:39:48 UTC
This also appears to fix bug 891548

Comment 4 Fedora Update System 2013-05-15 22:25:09 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 5 Fedora Update System 2013-05-16 05:21:32 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-05-17 22:19:01 UTC
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-05-18 04:54:57 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.